// 在main.js上通过import引入Vue库和自己写的Vue组件库
import Vue from 'vue';
import 'vant/lib/index.css';
import { Picker } from "vant";
import { Icon } from "vant";
import { Popup } from "vant";

Vue.use(Popup);
Vue.use(Icon);
Vue.use(Picker);
import Sel from './components/Sel.vue'
import eventBus from '../../../../../../util/eventBus'
(function (KDApi) {
  function MyComponent (model) {
    this._setModel(model)
  }

  MyComponent.prototype = {
    _setModel: function (model) {
      this.model = model
    },
    init: function (props) {
      console.log('-----initSummaryLabelKy', props)
      setHtml(this.model, props)
    },
    update: function (props) {
      console.log('-----updateSummaryLabelKy', this.model, props)
      eventBus.pub(this.model, 'updateSummaryLabelKy', props)
      // updateHtml(this.model, props)
    },
    destoryed: function () {
      console.log('-----destoryed', this.model)
    }
  }

  const setHtml = (model, props) => {
    const { invoke } = model
    const billStatus = props.data ? props.data.billStatus:'F'
    const selectd = props.data ? props.data.selectd:''
    // const errorFlag = props.data ? props.data.errorFlag:false
    KDApi.loadFile('./css/index.css', model, () => {
      // console.log("22222",dateList)
      new Vue({
        el: model.dom,
        template:'<Sel ref=child :billStatus="billStatus" :selectd="selectd" v-on:selectData="selectData"/>',
       components: {
        Sel
        },
 data:function (){
          return {       
            selectd:selectd,
            billStatus:billStatus
          }
        },
        mounted () {
          const self = this
          console.log("self",billStatus,selectd)
          self.$refs.child.selectedId = selectd.split(',')
          this.updateSub = eventBus.sub(model, 'updateSummaryLabelKy', (props) => {
            self.billStatus = props.data.billStatus
            self.selectd = props.data.selectd
          })
        },
        destroyed () {
          eventBus.unsub(this.updateSub)
        },
        methods: {
          invoke: function (eventName, args) {
            invoke(eventName, args)
          },
          selectData:function(data){
            console.log("data",data)
            this.invoke("sumTagValue",data)
          }
        }
      })
    })
  }
  
  // 注册自定义组件
  KDApi.register('summaryLabelKy', MyComponent)
})(window.KDApi)